#include "MQWidget.h"
#include "CMQObject.h"

#ifndef _UIWindowDefine
#define _UIWindowDefine

class ObjectViewSwitcher;

class ObjectViewSwitcherWindow : public MQWindow
{
public:
	ObjectViewSwitcherWindow(ObjectViewSwitcher *plugin, MQWindowBase& parent);
	~ObjectViewSwitcherWindow();

	void resize();
	void clearbutton();
	void setbutton(int index, bool flag = true);
	void resizeButtonList();
	ObjectViewSwitcher *m_pPlugin;
private:
	void createButtonList(MQWidgetBase *parent);
	void destroyButtonList();

	BOOL f_set(MQWidgetBase *sender, MQDocument doc, MQWidgetMouseParam &param);
	BOOL f_restore(MQWidgetBase *sender, MQDocument doc, MQWidgetMouseParam &param);
	BOOL f_add(MQWidgetBase *sender, MQDocument doc);

	BOOL OnHide(MQWidgetBase *sender, MQDocument doc);
	BOOL keyevent(MQWidgetBase *sender, MQDocument doc);

	std::vector<MQButton*> m_buttons;
	bool m_shift;
	MQFrame *m_parentframe;
	MQFrame *m_buttonframe;

	CRITICAL_SECTION m_critical;

	//cmq::CMQObject obj_;
};

#endif
